Taintsauce Mar 1 @ 1:32pm
[Linux] I can't open the overlay after upgrading my machine to Ubuntu 14.04 (64 bit)
Overlay doesn't start with any game. Running in terminal gives the following errors.


ERROR: ld.so: object '/home/*****/.local/share/Steam/ubuntu12_32/gameoverlayrenderer.so' from LD_PRELOAD cannot be preloaded (wrong ELF class: ELFCLASS32): ignored.
ERROR: ld.so: object '/home/*****/.local/share/Steam/ubuntu12_64/gameoverlayrenderer.so' from LD_PRELOAD cannot be preloaded (wrong ELF class: ELFCLASS64): ignored.
Showing 1-5 of 5 comments
< >
Taintsauce Mar 2 @ 1:14pm 
An update: Overlay came back online after installing Catalyst (FGLRX), but this caused stability issues in the Portal 2 beta.

Apparently the bug has to do with the r600g driver. Anyone else getting this?
Kermeat Mar 9 @ 1:50pm 
I've got same issue on intel hd 4600
Taintsauce Mar 9 @ 3:08pm 
Originally posted by deadmazay13:
I've got same issue on intel hd 4600

Welp, at least I'm not alone. Must be an issue with Mesa as a whole?
ayr-ton Jun 16 @ 6:25am 
Same problem here with nvidia-331-updates with the same ubuntu version.

Issues at GitHub:
https://github.com/ValveSoftware/steam-for-linux/issues/3093
https://github.com/ValveSoftware/steam-for-linux/issues/3199
Showing 1-5 of 5 comments
< >
Per page: 15 30 50
Date Posted: Mar 1 @ 1:32pm
Posts: 5